Bug 227108 - Review Request: plexus-xmlrpc-1.0-0.b4.3jpp - Plexus XML RPC Component
Review Request: plexus-xmlrpc-1.0-0.b4.3jpp - Plexus XML RPC Component
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 12:54 EST by Rafael H. Schloming
Modified: 2014-12-01 18:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 20:04:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nsantos: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2007-02-02 12:54:51 EST
Spec URL: http://people.redhat.com/rafaels/specs/plexus-xmlrpc-1.0-0.b4.3jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/plexus-xmlrpc-1.0-0.b4.3jpp.src.rpm
Description: The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

Javadoc for plexus-xmlrpc.
Comment 2 Nuno Santos 2007-02-20 16:35:34 EST
plexus-xmlrpc-1.0-0.1.b4.3jpp.1.src.rpm

Legend:
OK: passes criteria
NO: fails criteria (errors included between "--" markers)
NA: non applicable
??: unable to verify

MUST:
OK * package is named appropriately
OK - match upstream tarball or project name
OK - try to match previous incarnations in other distributions/packagers for
consistency
OK - specfile should be %{name}.spec
OK - non-numeric characters should only be used in Release (ie. cvs or
   something)
OK - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
OK - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK * is it legal for Fedora to distribute this?
OK - OSI-approved
OK - not a kernel module
OK - not shareware
OK - is it covered by patents?
OK - it *probably* shouldn't be an emulator
OK - no binary firmware
OK * license field matches the actual license.
OK * license is open source-compatible.
OK * specfile name matches %{name}
OK * verify source and patches (md5sum matches upstream, know what the patches do)
OK * skim the summary and description for typos, etc.
OK * correct buildroot
OK * if %{?dist} is used, it should be in that form (note the ? and %
locations)
OK * license text included in package and marked with %doc
OK* keep old changelog entries; use judgement when removing (too old?
useless?)
OK* packages meets FHS (http://www.pathname.com/fhs/)
NO * rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there

--
$ rpmlint plexus-xmlrpc-1.0-0.1.b4.3jpp.1.src.rpm 
W: plexus-xmlrpc non-standard-group Development/Java
W: plexus-xmlrpc mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 63)
(minor warnings, should be fine)
--

OK * changelog should be in one of these formats:
OK * Packager tag should not be used
OK * Vendor tag should not be used
OK * use License and not Copyright 
OK * Summary tag should not end in a period
NA * if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK * specfile is legible
?? * package successfully compiles and builds on at least x86
?? * BuildRequires are proper
OK * summary should be a short and concise description of the package
OK * description expands upon summary (don't include installation
instructions)
NO * make sure lines are <= 80 characters

--
a couple of lines are longer than 80 chars (lines 147, 153)
--

OK * specfile written in American English
OK * make a -doc sub-package if necessary
NA * packages including libraries should exclude static libraries if possible
OK * don't use rpath
OK * config files should usually be marked with %config(noreplace)
NA * GUI apps should contain .desktop files
NA * should the package contain a -devel sub-package?
OK * use macros appropriately and consistently
OK * don't use %makeinstall
NA * locale data handling correct (find_lang)
OK * consider using cp -p to preserve timestamps
NA * split Requires(pre,post) into two separate lines
OK * package should probably not be relocatable
OK * package contains code
OK * package should own all directories and files
OK * there should be no %files duplicates
OK * file permissions should be okay; %defattrs should be present
OK * %clean should be present
OK * %doc files should not affect runtime
NA * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
?? * verify the final provides and requires of the binary RPMs
?? * run rpmlint on the binary RPMs

SHOULD:
OK * package should include license text in the package and mark it with %doc
?? * package should build on i386
?? * package should build in mock
Comment 3 Tania Bento 2007-02-21 11:45:42 EST
> NO * rpmlint on <this package>.srpm gives no output
>  - justify warnings if you think they shouldn't be there
> 
> --
> $ rpmlint plexus-xmlrpc-1.0-0.1.b4.3jpp.1.src.rpm 
> W: plexus-xmlrpc mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 63)
> (minor warnings, should be fine)
> --

Again, rpmlint does not generate this warning for me.  This is very strange,
espeically since we are running the same version of rpmlint.

> NO * make sure lines are <= 80 characters
> 
> --
> a couple of lines are longer than 80 chars (lines 147, 153)
> --

I noticed this before and had tried fixing it, but I would have problems
building.  So, I decided to just leave them.  I've also been told that as long
as rpmlint doesn't complain, then not to worry about it.  

Whether there is anything else you would like me to fix or not, let me know. 
When I hear from you I will build this package on mock.

Thanks.
Comment 4 Nuno Santos 2007-02-21 11:51:42 EST
OK, thanks for addressing those, I agree they're fine... I'm marking as
fedora-review+
Comment 5 Dennis Gilmore 2007-03-11 23:20:47 EDT
Please follow the directions at 
http://fedoraproject.org/wiki/CVSAdminProcedure
Comment 6 Deepak Bhole 2007-03-12 09:34:57 EDT
New Package CVS Request
=======================
Package Name: plexus-xmlrpc
Short Description: Plexus XML RPC Component
Owners: dbhole@redhat.com
Branches: devel
Comment 7 Tania Bento 2007-03-12 16:59:01 EDT
There was an error in the spec file that I posted above.  This error was only
brought to my attention when trying to build another package that is dependent
on this one.  I fixed the error, built it on an i386 machine and built it on
mock.  Everything built fine.

Here is the link to an updated spec file and source rpm:

SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/294/plexus-xmlrpc.spec

SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/293/plexus-xmlrpc-1.0-0.1.b4.3jpp.1.src.rpm
Comment 8 Deepak Bhole 2007-03-13 17:19:17 EDT
Built with ant in extras. Keeping open until built with maven2.
Comment 9 Bernard Johnson 2007-04-11 18:47:57 EDT
Pardon the bugzilla spam.  This package appears to have been approved, imported,
and built.

If that is the case, please close this bug RESOLVE -> NEXTRELEASE as documented
in the package review process:
http://fedoraproject.org/wiki/PackageReviewProcess?#head-df921556b35438a4c78b4b6a790151ea568e8f9e

Note You need to log in before you can comment on or make changes to this bug.